#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int meta[2*n+1];
    for(int i=0;i<(2*n+1);i++)
        meta[i]=0;
    for(int i=0;i<n;i++){
        int x;
        cin>>x;
        meta[x+n]++;
    }
    int br=0;
    for(int i=0;i<(2*n+1);i++){
        if(meta[i]>=k)
            br++;
    }
    cout<<br<<endl;
    for(int i=0;i<(2*n+1);i++){
        if(meta[i]>=k)
            cout<<i-n<< " ";
    }
    return 0;
}